Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc
Class JDBCSimpleConfiguration

    java.lang.Object
      |
      +--com.solarmetric.kodo.conf.DefaultConfiguration
            |
            +--com.solarmetric.kodo.conf.SimpleConfiguration
                  |
                  +--com.solarmetric.kodo.impl.jdbc.JDBCSimpleConfiguration

All Implemented Interfaces:
  BeanInfo, Cloneable, Configuration, JDBCConfiguration, Serializable

Direct Known Subclasses:
  EESimpleConfiguration

public class JDBCSimpleConfiguration
extends SimpleConfiguration
implements JDBCConfiguration

Simple implementation of the `JDBCConfiguration` interface.

See Also:
  Serialized Form

Fields inherited from class com.solarmetric.kodo.conf.SimpleConfiguration
`BASIC_OPTION, EXPERT_OPTION, TYPE_CONNECTING, TYPE_GENERAL, TYPE_JDO, TYPE_OPTIMIZATION`

Fields inherited from interface com.solarmetric.kodo.impl.jdbc.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Fields inherited from interface com.solarmetric.kodo.conf.Configuration
`LOG_CACHE, LOG_CONF, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JDBCSimpleConfiguration()` Default constructor.
`JDBCSimpleConfiguration(boolean loadDefaults)`
`JDBCSimpleConfiguration(InputStream propertiesStream)` Constructor to access the properties taken from the specified stream
`JDBCSimpleConfiguration(Properties props)` Instantiate a JDBCSimpleConfiguration from a Properties object.

Method Summary
`int` | `getConnectionTestTimeout()` The number of seconds to wait between testing connections retrieved from the connection pool.
`String` | `getDefaultClassMappingClass()` The class name of the default ClassMapping implementation.
`String` | `getDefaultPersistenceManagerFactoryClass()`
`String` | `getDefaultSubclassProviderClass()` The class name of the default SubclassProvider implementation.
`String` | `getDefaultSubclassProviderProperties()` Configuration properties for the subclass provider.
`DBDictionary` | `getDictionary(Connector connector)` The DBDictionary to use.
`String` | `getDictionaryClass()` The dictionary class to use to define the RDBMS SQL information
`String` | `getDictionaryProperties()` Configuration options for the dictionary.
`boolean` | `getFlatInheritanceMapping()` Return whether or not a flat inheritance mapping strategy should be used by default.
`protected String[]` | `getKnownConnectionURLList()` Allows a subclass to provide a list of example drivers, for use in a graphical component.
`protected String[]` | `getKnownDriverList()` Return a list of the known drivers for the Configuration.
`SequenceFactory` | `getSequenceFactory(Connector connector)` The SequenceFactory to use.
`String` | `getSequenceFactoryClass()` The class name of the SequenceFactory implementation.
`String` | `getSequenceFactoryProperties()` Configuration properties for the sequence factory.
`SQLExecutionListener` | `getSQLExecutionListener()` Create an instance of the `getSQLExecutionListenerClass()` class.
`String` | `getSQLExecutionListenerClass()` The static class for listening to `SQLExecutionEvent`s.
`SQLExecutionManager` | `getSQLExecutionManager()`
`String` | `getSQLExecutionManagerClass()` The class to use for managing SQL execution.
`int` | `getStatementCacheMaxSize()` The size of the statement re-use cache.
`int` | `getStatementExecutionTimeout()` The timout for Statement execution (in seconds).
`boolean` | `getSynchronizeSchema()` Automatically refresh the schema for all persistent types seen.
`String` | `getTransactionIsolation()` The transaction isolation that will be used when starting JDBC transactions.
`int` | `getTransactionIsolationLevel()` Return the transaction isolation as a `Connection` transaction constant.
`boolean` | `getUseBatchedStatements()` Batch together multiple similiar statements for faster execution.
`boolean` | `getUsePreparedStatements()` Use cache-able PreparedStatment objects for all JDBC access.
`boolean` | `getWarnOnPersistentTypeFailure()` Warn (rather than throw an exception) when the class in the data store's persistent metadata is not found.
`protected static Properties` | `loadProperties(InputStream in)`
`void` | `setConnectionDriverName(String name)` Make sure the driver is loaded.
`void` | `setConnectionTestTimeout(int connectionTestTimeout)` The number of seconds to wait between testing connections retrieved from the connection pool.
`void` | `setConnectionTestTimeout(Integer connectionTestTimeout)` Wrapper setter for `setConnectionTestTimeout(int)`.
`void` | `setDefaultClassMappingClass(String defClass)` The class name of the default ClassMapping implementation.
`void` | `setDefaultSubclassProviderClass(String defClass)` The class name of the default SubclassProvider implementation.
`void` | `setDefaultSubclassProviderProperties(String defProps)` Configuration properties for the default subclass provider.
`void` | `setDictionary(DBDictionary dict)` The DBDictionary to use.
`void` | `setDictionaryClass(String dictionaryClass)` The dictionary class to use to define the RDBMS SQL information
`void` | `setDictionaryProperties(String dictionaryProperties)` Configuration options for the dictionary.
`void` | `setFlatInheritanceMapping(boolean map)` Configure the default inheritance hierarchy mapping strategy.
`void` | `setFlatInheritanceMapping(Boolean map)` Wrapper setter for `setFlatInheritanceMapping(boolean)`.
`void` | `setProperties(String resourceName)`
`void` | `setSequenceFactory(SequenceFactory dict)` The SequenceFactory to use.
`void` | `setSequenceFactoryClass(String sequenceFactoryClass)` The class name of the SequenceFactory implementation.
`void` | `setSequenceFactoryProperties(String sequenceFactoryProperties)` Configuration properties for the sequence factory.
`void` | `setSQLExecutionListenerClass(String sqlExecutionListenerClass)` The static class for listening to `SQLExecutionEvent`s.
`void` | `setSQLExecutionManager(SQLExecutionManager executionManager)`
`void` | `setSQLExecutionManagerClass(String sqlExecutionManagerClass)` The class to use for managing SQL execution.
`void` | `setStatementCacheMaxSize(int statementCacheMaxSize)` The size of the statement re-use cache.
`void` | `setStatementCacheMaxSize(Integer statementCacheMaxSize)` Wrapper setter for `setStatementCacheMaxSize(int)`.
`void` | `setStatementExecutionTimeout(int statementExecutionTimeout)` The timout for Statement execution (in seconds).
`void` | `setStatementExecutionTimeout(Integer statementExecutionTimeout)` Wrapper setter for `setStatementExecutionTimeout(int)`.
`void` | `setSynchronizeSchema(boolean val)` Automatically refresh the schema for all persistent types seen.
`void` | `setSynchronizeSchema(Boolean val)` Wrapper setter for `setSynchronizeSchema(boolean)`.
`void` | `setTransactionIsolation(String transactionIsolation)` The transaction isolation that will be used when starting JDBC transactions.
`void` | `setUseBatchedStatements(boolean useBatchedStatements)` Batch together multiple similiar statements for faster execution.
`void` | `setUseBatchedStatements(Boolean useBatchedStatements)` Wrapper setter for `setUseBatchedStatements(boolean)`.
`void` | `setUsePreparedStatements(boolean usePreparedStatements)` Use cache-able PreparedStatment objects for all JDBC access.
`void` | `setUsePreparedStatements(Boolean usePreparedStatements)` Wrapper setter for `setUsePreparedStatements(boolean)`.
`void` | `setWarnOnPersistentTypeFailure(boolean warn)` Warn (rather than throw an exception) when the class in the data store's persistent metadata is not found.
`void` | `setWarnOnPersistentTypeFailure(Boolean warn)` Wrapper setter for `#setWarnOnPersistentTypeFailure(int)`.

Methods inherited from class com.solarmetric.kodo.conf.SimpleConfiguration
`addValue, addValue, addValue, addValue, addValue, addValue, getAdditionalBeanInfo, getBeanDescriptor, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultEventIndex, getDefaultFetchBatchSize, getDefaultFetchThreshold, getDefaultPropertyIndex, getEnableQueryExtensions, getEventSetDescriptors, getIcon, getIgnoreCache, getLicenseKey, getMaxPool, getMethodDescriptors, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getPropertyDescriptors, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryFilterListeners, getRestoreValues, getRetainValues, getUseSoftTransactionCache, getValues, initDefaults, setCacheReferenceSize, setCacheReferenceSize, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryFilterListeners, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseSoftTransactionCache, setUseSoftTransactionCache`

Methods inherited from class com.solarmetric.kodo.conf.DefaultConfiguration
`checkFrozen, clone, configurationClone, equals, freeze, fromProperties, getLog, hashCode, isFrozen, loadDefaults, toProperties`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.conf.Configuration
`clone, configurationClone, freeze, fromProperties, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultFetchBatchSize, getDefaultFetchThreshold, getEnableQueryExtensions, getIgnoreCache, getLicenseKey, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryFilterListeners, getRestoreValues, getRetainValues, getUseSoftTransactionCache, isFrozen, setCacheReferenceSize, setCacheReferenceSize, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryFilterListeners, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseSoftTransactionCache, setUseSoftTransactionCache, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Constructor Detail

### JDBCSimpleConfiguration

    public JDBCSimpleConfiguration()

  Default constructor.

### JDBCSimpleConfiguration

    public JDBCSimpleConfiguration(boolean loadDefaults)

### JDBCSimpleConfiguration

    public JDBCSimpleConfiguration(InputStream propertiesStream)
                            throws IOException

  Constructor to access the properties taken from the specified stream

### JDBCSimpleConfiguration

    public JDBCSimpleConfiguration(Properties props)

  Instantiate a JDBCSimpleConfiguration from a Properties object.

Method Detail

### loadProperties

    protected static Properties loadProperties(InputStream in)
                                        throws IOException

### setConnectionDriverName

    public void setConnectionDriverName(String name)

  Make sure the driver is loaded.
  Specified by:
    `setConnectionDriverName` in interface `Configuration`
  Overrides:
    `setConnectionDriverName` in class `SimpleConfiguration`

### setProperties

    public void setProperties(String resourceName)
                       throws IOException

### setConnectionTestTimeout

    public void setConnectionTestTimeout(int connectionTestTimeout)

  Description copied from interface: `JDBCConfiguration`
  The number of seconds to wait between testing connections retrieved from the connection pool. Only valid when using the built-in Kodo connection pooling.
  Specified by:
    `setConnectionTestTimeout` in interface `JDBCConfiguration`

### setConnectionTestTimeout

    public void setConnectionTestTimeout(Integer connectionTestTimeout)

  Description copied from interface: `JDBCConfiguration`
  Wrapper setter for `JDBCConfiguration.setConnectionTestTimeout(int)`.
  Specified by:
    `setConnectionTestTimeout` in interface `JDBCConfiguration`

### getConnectionTestTimeout

    public int getConnectionTestTimeout()

  Description copied from interface: `JDBCConfiguration`
  The number of seconds to wait between testing connections retrieved from the connection pool. Only valid when using the built-in Kodo connection pooling.
  Specified by:
    `getConnectionTestTimeout` in interface `JDBCConfiguration`

### setDictionaryClass

    public void setDictionaryClass(String dictionaryClass)

  Description copied from interface: `JDBCConfiguration`
  The dictionary class to use to define the RDBMS SQL information
  Specified by:
    `setDictionaryClass` in interface `JDBCConfiguration`

### getDictionaryClass

    public String getDictionaryClass()

  Description copied from interface: `JDBCConfiguration`
  The dictionary class to use to define the RDBMS SQL information
  Specified by:
    `getDictionaryClass` in interface `JDBCConfiguration`

### setDictionaryProperties

    public void setDictionaryProperties(String dictionaryProperties)

  Description copied from interface: `JDBCConfiguration`
  Configuration options for the dictionary.
  Specified by:
    `setDictionaryProperties` in interface `JDBCConfiguration`

### getDictionaryProperties

    public String getDictionaryProperties()

  Description copied from interface: `JDBCConfiguration`
  Configuration options for the dictionary.
  Specified by:
    `getDictionaryProperties` in interface `JDBCConfiguration`

### setDictionary

    public void setDictionary(DBDictionary dict)

  Description copied from interface: `JDBCConfiguration`
  The DBDictionary to use.
  Specified by:
    `setDictionary` in interface `JDBCConfiguration`

### getDictionary

    public DBDictionary getDictionary(Connector connector)

  Description copied from interface: `JDBCConfiguration`
  The DBDictionary to use. If a dictionary has been explicitly set via the `JDBCConfiguration.setDictionary(com.solarmetric.kodo.impl.jdbc.schema.DBDictionary)` method, it will be returned. Otherwise, if the dictionary class has been set, a new instance of the class will created and configured with any set dictionary properties. This instance will be cached for subsequence calls to this method. Finally, if no dictionary class has been set a default dictionary will be returned.
  Specified by:
    `getDictionary` in interface `JDBCConfiguration`

### setSQLExecutionManager

    public void setSQLExecutionManager(SQLExecutionManager executionManager)

### getSQLExecutionManager

    public SQLExecutionManager getSQLExecutionManager()

### setSQLExecutionManagerClass

    public void setSQLExecutionManagerClass(String sqlExecutionManagerClass)

  Description copied from interface: `JDBCConfiguration`
  The class to use for managing SQL execution.
  Specified by:
    `setSQLExecutionManagerClass` in interface `JDBCConfiguration`

### getSQLExecutionManagerClass

    public String getSQLExecutionManagerClass()

  Description copied from interface: `JDBCConfiguration`
  The class to use for managing SQL execution.
  Specified by:
    `getSQLExecutionManagerClass` in interface `JDBCConfiguration`

### setSequenceFactoryClass

    public void setSequenceFactoryClass(String sequenceFactoryClass)

  Description copied from interface: `JDBCConfiguration`
  The class name of the SequenceFactory implementation.
  Specified by:
    `setSequenceFactoryClass` in interface `JDBCConfiguration`

### getSequenceFactoryClass

    public String getSequenceFactoryClass()

  Description copied from interface: `JDBCConfiguration`
  The class name of the SequenceFactory implementation.
  Specified by:
    `getSequenceFactoryClass` in interface `JDBCConfiguration`

### setSequenceFactoryProperties

    public void setSequenceFactoryProperties(String sequenceFactoryProperties)

  Description copied from interface: `JDBCConfiguration`
  Configuration properties for the sequence factory.
  Specified by:
    `setSequenceFactoryProperties` in interface `JDBCConfiguration`

### getSequenceFactoryProperties

    public String getSequenceFactoryProperties()

  Description copied from interface: `JDBCConfiguration`
  Configuration properties for the sequence factory.
  Specified by:
    `getSequenceFactoryProperties` in interface `JDBCConfiguration`

### getSequenceFactory

    public SequenceFactory getSequenceFactory(Connector connector)

  Description copied from interface: `JDBCConfiguration`
  The SequenceFactory to use. If a sequence factory has been explicitly set via the `JDBCConfiguration.setSequenceFactory(com.solarmetric.kodo.impl.jdbc.SequenceFactory)` method, it will be returned. Otherwise, if the sequence factory class has been set, a new instance of the class will created and configured with any set sequence factory properties. This instance will be cached for subsequence calls to this method. Finally, if no sequence factory class has been seta default sequence factory will be returned.
  Specified by:
    `getSequenceFactory` in interface `JDBCConfiguration`

### setSequenceFactory

    public void setSequenceFactory(SequenceFactory dict)

  Description copied from interface: `JDBCConfiguration`
  The SequenceFactory to use.
  Specified by:
    `setSequenceFactory` in interface `JDBCConfiguration`

### setSQLExecutionListenerClass

    public void setSQLExecutionListenerClass(String sqlExecutionListenerClass)

  Description copied from interface: `JDBCConfiguration`
  The static class for listening to `SQLExecutionEvent`s.
  Specified by:
    `setSQLExecutionListenerClass` in interface `JDBCConfiguration`

### getSQLExecutionListenerClass

    public String getSQLExecutionListenerClass()

  Description copied from interface: `JDBCConfiguration`
  The static class for listening to `SQLExecutionEvent`s.
  Specified by:
    `getSQLExecutionListenerClass` in interface `JDBCConfiguration`

### getSQLExecutionListener

    public SQLExecutionListener getSQLExecutionListener()

  Description copied from interface: `JDBCConfiguration`
  Create an instance of the `JDBCConfiguration.getSQLExecutionListenerClass()` class.
  Specified by:
    `getSQLExecutionListener` in interface `JDBCConfiguration`

### getDefaultPersistenceManagerFactoryClass

    public String getDefaultPersistenceManagerFactoryClass()

  Overrides:
    `getDefaultPersistenceManagerFactoryClass` in class `SimpleConfiguration`

### setDefaultSubclassProviderClass

    public void setDefaultSubclassProviderClass(String defClass)

  Description copied from interface: `JDBCConfiguration`
  The class name of the default SubclassProvider implementation.
  Specified by:
    `setDefaultSubclassProviderClass` in interface `JDBCConfiguration`

### getDefaultSubclassProviderClass

    public String getDefaultSubclassProviderClass()

  Description copied from interface: `JDBCConfiguration`
  The class name of the default SubclassProvider implementation.
  Specified by:
    `getDefaultSubclassProviderClass` in interface `JDBCConfiguration`

### setDefaultSubclassProviderProperties

    public void setDefaultSubclassProviderProperties(String defProps)

  Description copied from interface: `JDBCConfiguration`
  Configuration properties for the default subclass provider.
  Specified by:
    `setDefaultSubclassProviderProperties` in interface `JDBCConfiguration`

### getDefaultSubclassProviderProperties

    public String getDefaultSubclassProviderProperties()

  Description copied from interface: `JDBCConfiguration`
  Configuration properties for the subclass provider.
  Specified by:
    `getDefaultSubclassProviderProperties` in interface `JDBCConfiguration`

### setDefaultClassMappingClass

    public void setDefaultClassMappingClass(String defClass)

  Description copied from interface: `JDBCConfiguration`
  The class name of the default ClassMapping implementation.
  Specified by:
    `setDefaultClassMappingClass` in interface `JDBCConfiguration`

### getDefaultClassMappingClass

    public String getDefaultClassMappingClass()

  Description copied from interface: `JDBCConfiguration`
  The class name of the default ClassMapping implementation.
  Specified by:
    `getDefaultClassMappingClass` in interface `JDBCConfiguration`

### setWarnOnPersistentTypeFailure

    public void setWarnOnPersistentTypeFailure(boolean warn)

  Description copied from interface: `JDBCConfiguration`
  Warn (rather than throw an exception) when the class in the data store's persistent metadata is not found.
  Specified by:
    `setWarnOnPersistentTypeFailure` in interface `JDBCConfiguration`

### setWarnOnPersistentTypeFailure

    public void setWarnOnPersistentTypeFailure(Boolean warn)

  Description copied from interface: `JDBCConfiguration`
  Wrapper setter for `#setWarnOnPersistentTypeFailure(int)`.
  Specified by:
    `setWarnOnPersistentTypeFailure` in interface `JDBCConfiguration`

### getWarnOnPersistentTypeFailure

    public boolean getWarnOnPersistentTypeFailure()

  Description copied from interface: `JDBCConfiguration`
  Warn (rather than throw an exception) when the class in the data store's persistent metadata is not found.
  Specified by:
    `getWarnOnPersistentTypeFailure` in interface `JDBCConfiguration`

### setFlatInheritanceMapping

    public void setFlatInheritanceMapping(boolean map)

  Description copied from interface: `JDBCConfiguration`
  Configure the default inheritance hierarchy mapping strategy.
  Specified by:
    `setFlatInheritanceMapping` in interface `JDBCConfiguration`

### setFlatInheritanceMapping

    public void setFlatInheritanceMapping(Boolean map)

  Description copied from interface: `JDBCConfiguration`
  Wrapper setter for `JDBCConfiguration.setFlatInheritanceMapping(boolean)`.
  Specified by:
    `setFlatInheritanceMapping` in interface `JDBCConfiguration`

### getFlatInheritanceMapping

    public boolean getFlatInheritanceMapping()

  Description copied from interface: `JDBCConfiguration`
  Return whether or not a flat inheritance mapping strategy should be used by default. If `true`, then all fields of all classes in a given inheritance hierarchy will by default map into the least-derived type's default primary table. If `false` then a new default primary table will be created for each class in the inheritance hierarchy, and each type's declared fields will map to that table by default.
  Specified by:
    `getFlatInheritanceMapping` in interface `JDBCConfiguration`

### setUseBatchedStatements

    public void setUseBatchedStatements(boolean useBatchedStatements)

  Description copied from interface: `JDBCConfiguration`
  Batch together multiple similiar statements for faster execution.
  Specified by:
    `setUseBatchedStatements` in interface `JDBCConfiguration`

### setUseBatchedStatements

    public void setUseBatchedStatements(Boolean useBatchedStatements)

  Description copied from interface: `JDBCConfiguration`
  Wrapper setter for `JDBCConfiguration.setUseBatchedStatements(boolean)`.
  Specified by:
    `setUseBatchedStatements` in interface `JDBCConfiguration`

### getUseBatchedStatements

    public boolean getUseBatchedStatements()

  Description copied from interface: `JDBCConfiguration`
  Batch together multiple similiar statements for faster execution.
  Specified by:
    `getUseBatchedStatements` in interface `JDBCConfiguration`

### setSynchronizeSchema

    public void setSynchronizeSchema(boolean val)

  Automatically refresh the schema for all persistent types seen.
  Specified by:
    `setSynchronizeSchema` in interface `JDBCConfiguration`

### setSynchronizeSchema

    public void setSynchronizeSchema(Boolean val)

  Description copied from interface: `JDBCConfiguration`
  Wrapper setter for `JDBCConfiguration.setSynchronizeSchema(boolean)`.
  Specified by:
    `setSynchronizeSchema` in interface `JDBCConfiguration`

### getSynchronizeSchema

    public boolean getSynchronizeSchema()

  Automatically refresh the schema for all persistent types seen.
  Specified by:
    `getSynchronizeSchema` in interface `JDBCConfiguration`

### setUsePreparedStatements

    public void setUsePreparedStatements(boolean usePreparedStatements)

  Description copied from interface: `JDBCConfiguration`
  Use cache-able PreparedStatment objects for all JDBC access.
  Specified by:
    `setUsePreparedStatements` in interface `JDBCConfiguration`

### setUsePreparedStatements

    public void setUsePreparedStatements(Boolean usePreparedStatements)

  Description copied from interface: `JDBCConfiguration`
  Wrapper setter for `JDBCConfiguration.setUsePreparedStatements(boolean)`.
  Specified by:
    `setUsePreparedStatements` in interface `JDBCConfiguration`

### getUsePreparedStatements

    public boolean getUsePreparedStatements()

  Description copied from interface: `JDBCConfiguration`
  Use cache-able PreparedStatment objects for all JDBC access.
  Specified by:
    `getUsePreparedStatements` in interface `JDBCConfiguration`

### setStatementCacheMaxSize

    public void setStatementCacheMaxSize(int statementCacheMaxSize)

  Description copied from interface: `JDBCConfiguration`
  The size of the statement re-use cache.
  Specified by:
    `setStatementCacheMaxSize` in interface `JDBCConfiguration`

### setStatementCacheMaxSize

    public void setStatementCacheMaxSize(Integer statementCacheMaxSize)

  Description copied from interface: `JDBCConfiguration`
  Wrapper setter for `JDBCConfiguration.setStatementCacheMaxSize(int)`.
  Specified by:
    `setStatementCacheMaxSize` in interface `JDBCConfiguration`

### getStatementCacheMaxSize

    public int getStatementCacheMaxSize()

  Description copied from interface: `JDBCConfiguration`
  The size of the statement re-use cache.
  Specified by:
    `getStatementCacheMaxSize` in interface `JDBCConfiguration`

### setStatementExecutionTimeout

    public void setStatementExecutionTimeout(int statementExecutionTimeout)

  The timout for Statement execution (in seconds).
  Specified by:
    `setStatementExecutionTimeout` in interface `JDBCConfiguration`
  Since:
    2.4

### setStatementExecutionTimeout

    public void setStatementExecutionTimeout(Integer statementExecutionTimeout)

  Description copied from interface: `JDBCConfiguration`
  Wrapper setter for `JDBCConfiguration.setStatementExecutionTimeout(int)`.
  Specified by:
    `setStatementExecutionTimeout` in interface `JDBCConfiguration`

### getStatementExecutionTimeout

    public int getStatementExecutionTimeout()

  The timout for Statement execution (in seconds).
  Specified by:
    `getStatementExecutionTimeout` in interface `JDBCConfiguration`
  Since:
    2.4

### setTransactionIsolation

    public void setTransactionIsolation(String transactionIsolation)

  The transaction isolation that will be used when starting JDBC transactions. The following String arguments are suported:
  - NONE: transactions are not supported.
  - READ_COMMITTED: dirty reads are prevented; non-repeatable reads and phantom reads can occur.
  - READ_UNCOMMITTED: dirty reads, non-repeatable reads and phantom reads can occur.
  - REPEATABLE_READ: dirty reads and non-repeatable reads are prevented; phantom reads can occur.
  - SERIALIZABLE: dirty reads, non-repeatable reads and phantom reads are prevented.
  Specified by:
    `setTransactionIsolation` in interface `JDBCConfiguration`
  Since:
    2.4

### getTransactionIsolationLevel

    public int getTransactionIsolationLevel()

  Return the transaction isolation as a `Connection` transaction constant.
  Specified by:
    `getTransactionIsolationLevel` in interface `JDBCConfiguration`
  Returns:
    the contant, or -1 if unset or set to an illegal value
  Since:
    2.4

### getTransactionIsolation

    public String getTransactionIsolation()

  The transaction isolation that will be used when starting JDBC transactions.
  Specified by:
    `getTransactionIsolation` in interface `JDBCConfiguration`
  Since:
    2.4

### getKnownDriverList

    protected String[] getKnownDriverList()

  Return a list of the known drivers for the Configuration. Since driver classes are implementation-specified, this method should be overridden by concrete implementations that know about the datasource.
  Overrides:
    `getKnownDriverList` in class `SimpleConfiguration`

### getKnownConnectionURLList

    protected String[] getKnownConnectionURLList()

  Description copied from class: `SimpleConfiguration`
  Allows a subclass to provide a list of example drivers, for use in a graphical component.
  Overrides:
    `getKnownConnectionURLList` in class `SimpleConfiguration`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.